///////////////////Software Control Header///////////////////////////////////
// SingList.h - Demonstration of CSinglyList<>.
//
// $LogThisFile$ \Projects\UtilCode\TestCode\SingList\SingList.h
// 
// This code is freely distributed to help the development of complex
// software in any field using C++. The author is not held responsible
// for any damage caused by the usage of the code.
// The author should be acknowledged for the use of this piece of code in
// commercial software.
//
// Bug reports and suggestions are welcomed to report to
//
//          tzzstan@hotmail.com
/////////////////////////////////////////////////////////////////////////////
#ifndef __BINTREE_TEST_
#define __BINTREE_TEST_

#include "TString.h"

class Pets
{
   int m_Type;
   CTString m_Name;

public:
   Pets(char *Name, int Type) {m_Name = Name; m_Type = Type;}

   char *PetType()
   {
      switch(m_Type)
      {
      case 0:
         return "Dog";
      case 1:
         return "Bird";
      case 2:
         return "Fish";
      }
      return "";
   }

   CTString &PetName() {return m_Name;}
	
	bool operator<(Pets &theOther);
	bool operator>(Pets &theOther);
};

#endif

